package com.srs.comprehensive.domain;


import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 困难审核对象 srs_knrd_approval_record
 * 
 * @author srs
 * @date 2024-03-19
 */
public class SrsKnrdApprovalRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 步骤 */
    @Excel(name = "步骤")
    private Long step;

    /** 操作人 */
    @Excel(name = "操作人")
    private String approver;

    /** 状态 */
    @Excel(name = "状态")
    private String status;
    private String knrd;
    /** 申请id */
    @Excel(name = "申请id")
    private Long applyId;

    private Long targetStep;

    public Long getTargetStep() {
        return targetStep;
    }

    public void setTargetStep(Long targetStep) {
        this.targetStep = targetStep;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStep(Long step) 
    {
        this.step = step;
    }

    public String getKnrd() {
        return knrd;
    }

    public void setKnrd(String knrd) {
        this.knrd = knrd;
    }

    public Long getStep()
    {
        return step;
    }
    public void setApprover(String approver) 
    {
        this.approver = approver;
    }

    public String getApprover() 
    {
        return approver;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("step", getStep())
            .append("approver", getApprover())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("remark", getRemark())
            .append("applyId", getApplyId())
            .toString();
    }
}
